import pickle
import numpy as np
import sys
import os
import commands
from optparse import OptionParser

# Path to alchemical_analysis.py (check bash_profile)

def getResults(path, time):
    current = os.getcwd()
    os.chdir(path)
    alchem = "python ~/anaconda/lib/python2.7/site-packages/alchemical_analysis-1.0.2.dev0-py2.7.egg/alchemical_analysis/alchemical_analysis.py"
    print commands.getoutput("%s -d %s -p 'prod' -s %s" % (alchem, path, str(time)))
    os.chdir(current)

# For every molecule we did calculations for 
for num in [2,3,4]:
    for solv in ['cyclohexane', 'octanol','water']:
        key = "%s_%i" % (solv, num)
        path = "/work/cluster/bannanc/PartitionCoeff/RoundThree/newConformations5785/%s/" % key
        getResults(path, 100)


